Page MenuHomePhabricator

Update extensions to extend PHPUnit\Framework\TestCase
Closed, ResolvedPublic

Description

Instead of extending PHPUnit_Framework_TestCase, extensions need to extend from PHPUnit\Framework\TestCase. The latter is available as a forwards-compat shim in PHPUnit 4.8.36 so it is safe to migrate over before PHPUnit 6 happens. Extensions using MediaWiki-CodeSniffer 16.0.0 will have had this automatically taken care of.

https://codesearch.wmflabs.org/search/?q=PHPUnit_Framework_TestCase&i=nope&files=&repos=

Details

ProjectBranchLines +/-Subject
operations/mediawiki-configmaster+8 -8
mediawiki/extensions/Wikibasemaster+42 -42
mediawiki/extensions/Wikibasemaster+335 -485
mediawiki/extensions/WikibaseQualityConstraintsmaster+4 -4
mediawiki/extensions/WikibaseQualitymaster+3 -6
mediawiki/extensions/ArticlePlaceholdermaster+1 -2
mediawiki/extensions/Cognatemaster+2 -1
mediawiki/extensions/InterwikiSortingmaster+1 -1
mediawiki/extensions/DonationInterfacemaster+3 -3
mediawiki/extensions/MultiMapsmaster+8 -8
mediawiki/extensions/Numbertextmaster+1 -1
mediawiki/extensions/MassActionmaster+6 -12
mediawiki/extensions/JsonDatamaster+1 -1
mediawiki/extensions/PhpTagsFunctionsmaster+8 -8
mediawiki/extensions/PhpTagsStoragemaster+1 -1
mediawiki/extensions/PhpTagsWikimaster+1 -1
mediawiki/extensions/SemanticDrilldownmaster+1 -2
mediawiki/extensions/BlueSpiceFoundationmaster+14 -15
mediawiki/extensions/WikibaseQualityConstraintsmaster+37 -42
mediawiki/extensions/PhpTagsSMWmaster+1 -2
mediawiki/extensions/PhpTagsMapsmaster+9 -10
mediawiki/extensions/Lingomaster+7 -8
mediawiki/extensions/WikibaseQualityExternalValidationmaster+8 -16
mediawiki/extensions/WikibaseMediaInfomaster+17 -29
mediawiki/extensions/ORESmaster+2 -2
mediawiki/extensions/Scribuntomaster+1 -1
mediawiki/extensions/OAuthmaster+7 -7
Show related patches Customize query in gerrit

Event Timeline

Legoktm created this task.Feb 24 2018, 6:27 AM
Legoktm updated the task description. (Show Details)Feb 24 2018, 6:38 AM
EddieGP removed a subscriber: EddieGP.Feb 25 2018, 12:04 AM

Change 421586 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/DonationInterface@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421586

Change 421588 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[operations/mediawiki-config@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421588

Change 421586 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421586

Change 421589 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/InterwikiSorting@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421589

Change 421590 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Cognate@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421590

Change 421591 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/ArticlePlaceholder@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421591

Change 421596 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikibaseQuality@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421596

Change 421598 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikibaseQualityConstraints@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421598

Change 421611 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Wikibase@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421611

Change 421590 merged by jenkins-bot:
[mediawiki/extensions/Cognate@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421590

Change 421591 merged by jenkins-bot:
[mediawiki/extensions/ArticlePlaceholder@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421591

Change 421589 merged by jenkins-bot:
[mediawiki/extensions/InterwikiSorting@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421589

Change 421598 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421598

Change 421596 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQuality@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421596

Change 421611 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421611

Change 424840 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Wikibase@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/424840

According to codesearch, https://gerrit.wikimedia.org/r/424840 should be the last usage in Wikimedia Git for MediaWiki extensions.

Change 424840 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/424840

Legoktm closed this task as Resolved.Apr 8 2018, 5:58 PM

Change 421588 merged by jenkins-bot:
[operations/mediawiki-config@master] Use namespaced PHPUnit\Framework\TestCase

https://gerrit.wikimedia.org/r/421588